from .auth import get_spotify_client


class SpotifyClient:
    def __init__(self):
        self.sp = get_spotify_client()
    
    def get_user_profile(self):
        return self.sp.current_user()
    
    def get_user_playlists(self, limit=50):
        return self.sp.current_user_playlists(limit=limit)
    
    def get_currently_playing(self):
        return self.sp.current_playback()